Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Class ContainerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.catalina.ContainerEvent

All Implemented Interfaces:
  Serializable

    public final class ContainerEvent

extends EventObject

General event for notifying listeners of significant changes on a Container.

Version:
  $Id: ContainerEvent.java 1200158 2011-11-10 05:32:22Z kkolinko $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContainerEvent(Container container, String type, Object data)` Construct a new ContainerEvent with the specified parameters.

Method Summary
`Container` | `getContainer()` Return the Container on which this event occurred.
`Object` | `getData()` Return the event data of this event.
`String` | `getType()` Return the event type of this event.
`String` | `toString()` Return a string representation of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerEvent

    public ContainerEvent(Container container,
                          String type,
                          Object data)

  Construct a new ContainerEvent with the specified parameters.

  Parameters:
    `container` - Container on which this event occurred
    `type` - Event type
    `data` - Event data

Method Detail

### getData

    public Object getData()

  Return the event data of this event.

### getContainer

    public Container getContainer()

  Return the Container on which this event occurred.

### getType

    public String getType()

  Return the event type of this event.

### toString

    public String toString()

  Return a string representation of this event.

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.